2

I attempted to update Ethereum Wallet to 1.8.2 and was given an error:

Checksum mismatch in downloaded node! MD5: 308... Please install the geth node version 1.8.2 manually

So I went to https://ethereum.github.io/go-ethereum/downloads/ and downloaded geth 1.8.2 for windows. However during the installation I received the message

PATH not updated, original length 1916 > 1024

I can no longer get Ethereum Wallet to run. Any solutions would be greatly appreciated.

Edit: I am also having the exact same problem with Mist.

6

Yeah for some reason the Ethereum Wallet doesn't remove the mismatched geth.exe file it has.

Download the latest geth archive file (.zip file) from here (as of writing it's 1.8.2) and then go to "%APPDATA%\Ethereum Wallet\binaries\Geth\unpacked" and delete the geth.exe file there, replace it with the latest geth.exe that you extract from the downloaded zip file.

2
  • 2
    I installed the latest Ethereum Wallet and had the same issue. I was bit confused because the "unpacked" folder does not exist and I try to run the Geth exe in "%APPDATA%\Ethereum Wallet\binaries\Geth". After several attempts I create this folder, move the geth.exe into it, run it and all works May 13 '19 at 11:58
  • 1
    @KaloyanStamatov 's solution works, but in my case path was C:\Users\MYUSERNAME\AppData\Roaming\Mist\binaries\Geth and I had to create Unpacked folder and put geth.exe after that it worked perfectly. Mar 21 '20 at 21:05
4

It's really cool how this is still an issue almost 3 years later.

0
2

Go to

%APPDATA%\Ethereum Wallet\binaries\Geth\

then unpack archive.zip to

%APPDATA%\Ethereum Wallet\binaries\Geth\unpacked

then go into the unpacked folder there is another folder called

geth-windows-amd64-1.8.23-c9427004 or something very similar.

In there you will find a file called geth.exe. Move that to

%APPDATA%\Ethereum Wallet\binaries\Geth\unpacked

Then you should be good to go.

1
  • this one also not working i tried all the things
    – sanjay
    Aug 31 at 18:28
2

Mist and Eth wallet have been decommissioned in 2019. https://avsa.medium.com/sunsetting-mist-da21c8e943d2 Use something else.

1

I assume the Ethereum Wallet and Mist are both dead projects?

I tried downloading both of them, of course there is just an archive.zip in their respective directories, but even extracting out the archive (which is the 1.8.23) directly into the \binaries\Geth or creating a \binaries\Geth\Unpacked didn't work. Tried downloading the 'latest' which as of this writing is 1.9.25 and put it in both places, didn't work either. Went to the https://github.com/ethereum/mist/wiki and tried running the start node manually, still getting the same error "Checksum mismatch in the downloaded node! Please install Geth node version 1.8.23 manually.

Appears to be no answer.

2
  • Sorry I can't be of more help. I think that the entirety of ethereum based "Dapps" and crypto based apps in general are "dead projects" now outside of crypto being used for financial speculation. I'm not wasting my time with it any more and moved to work at a company that uses real tech with real use cases. Jan 13 at 16:48
  • @JohnMurphy - private Ethereum based Dapp - factorin.io/en
    – Mad Jackal
    Jan 19 at 16:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.